# Class Packet

java.lang.Object
org.mariadb.jdbc.internal.com.Packet

public class Packet extends Object
Creates result packets only handles error, ok, eof and result set packets since field and row packets require a previous result set stream.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`COM_INIT_DB`
`static final byte`
`COM_MULTI`
`static final byte`
`COM_PING`
`static final byte`
`COM_QUERY`
`static final byte`
`COM_QUIT`
`static final byte`
`COM_RESET_CONNECTION`
`static final byte`
`COM_STMT_BULK_EXECUTE`
`static final byte`
`COM_STMT_CLOSE`
`static final byte`
`COM_STMT_EXECUTE`
`static final byte`
`COM_STMT_FETCH`
`static final byte`
`COM_STMT_PREPARE`
`static final byte`
`COM_STMT_SEND_LONG_DATA`
`static final byte`
`CURSOR_TYPE_FOR_UPDATE`
`static final byte`
`CURSOR_TYPE_NO_CURSOR`
`static final byte`
`CURSOR_TYPE_READ_ONLY`
`static final byte`
`CURSOR_TYPE_SCROLLABLE`
`static final byte`
`EOF`
`static final byte`
`ERROR`
`static final byte`
`LOCAL_INFILE`
`static final byte`
`OK`

## Constructor Summary

Constructors
Constructor
Description
`Packet()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ERROR

public static final byte ERROR

See Also:
  - Constant Field Values

### OK

public static final byte OK

See Also:
  - Constant Field Values

### EOF

public static final byte EOF

See Also:
  - Constant Field Values

### LOCAL_INFILE

public static final byte LOCAL_INFILE

See Also:
  - Constant Field Values

### COM_QUIT

public static final byte COM_QUIT

See Also:
  - Constant Field Values

### COM_INIT_DB

public static final byte COM_INIT_DB

See Also:
  - Constant Field Values

### COM_QUERY

public static final byte COM_QUERY

See Also:
  - Constant Field Values

### COM_PING

public static final byte COM_PING

See Also:
  - Constant Field Values

### COM_STMT_PREPARE

public static final byte COM_STMT_PREPARE

See Also:
  - Constant Field Values

### COM_STMT_EXECUTE

public static final byte COM_STMT_EXECUTE

See Also:
  - Constant Field Values

### COM_STMT_FETCH

public static final byte COM_STMT_FETCH

See Also:
  - Constant Field Values

### COM_STMT_SEND_LONG_DATA

public static final byte COM_STMT_SEND_LONG_DATA

See Also:
  - Constant Field Values

### COM_STMT_CLOSE

public static final byte COM_STMT_CLOSE

See Also:
  - Constant Field Values

### COM_RESET_CONNECTION

public static final byte COM_RESET_CONNECTION

See Also:
  - Constant Field Values

### COM_STMT_BULK_EXECUTE

public static final byte COM_STMT_BULK_EXECUTE

See Also:
  - Constant Field Values

### COM_MULTI

public static final byte COM_MULTI

See Also:
  - Constant Field Values

### CURSOR_TYPE_NO_CURSOR

public static final byte CURSOR_TYPE_NO_CURSOR

See Also:
  - Constant Field Values

### CURSOR_TYPE_READ_ONLY

public static final byte CURSOR_TYPE_READ_ONLY

See Also:
  - Constant Field Values

### CURSOR_TYPE_FOR_UPDATE

public static final byte CURSOR_TYPE_FOR_UPDATE

See Also:
  - Constant Field Values

### CURSOR_TYPE_SCROLLABLE

public static final byte CURSOR_TYPE_SCROLLABLE

See Also:
  - Constant Field Values

## Constructor Details

### Packet

public Packet()